Subject: Native compile results in error if -march and -mtune are specified
From: Loreno Heer <[email-masked]>
To: [email-masked]
Date: Tue, 11 Oct 2022 11:00:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The latest compile of emacs (from git from yesterday night) (on both
linux and windows) gives the following error with native compile and
-march options specified:

libgccjit-0.dll: error: bad value 'native' for '-march=' switch
libgccjit-0.dll: note: valid arguments to '-march=' switch are: nocona
core2 nehalem corei7 westmere sandybridge corei7-avx ivybridge
core-avx-i haswell core-avx2 broadwell skylake skylake-avx512 cannonlake
icelake-client rocketlake icelake-server cascadelake tigerlake
cooperlake sapphirerapids alderlake bonnell atom silvermont slm goldmont
goldmont-plus tremont knl knm x86-64 x86-64-v2 x86-64-v3 x86-64-v4
eden-x2 nano nano-1000 nano-2000 nano-3000 nano-x2 eden-x4 nano-x4 k8
k8-sse3 opteron opteron-sse3 athlon64 athlon64-sse3 athlon-fx amdfam10
barcelona bdver1 bdver2 bdver3 bdver4 znver1 znver2 znver3 btver1 btver2
native